centos7安装php7,亲测可行

浏览:15397 发布日期:2017/05/12 分类:技术分享 关键字: php7
在centos7通过yum安装PHP7,首先在终端运行:
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
提示错误:
error: Failed dependencies:
epel-release >= 7 is needed by webtatic-release-7-3.noarch
需要先安装epel-release。

1.安装epel-release
通过命令:
yum -y install epel-release
成功安装。
2.安装PHP7
终端再次运行如下命令:
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
成功获取PHP7的yum源,然后再执行:
yum install php70w
这样就大功告成了。
3.验证安装
终端命令:PHP -v,显示当前PHP版本,信息如下:

[root@moliangjun /]# php -v

PHP 7.0.18 (cli) (built: Apr 15 2017 07:09:11) ( NTS )
Copyright (c) 1997-2017 The PHP Group
Zend Engine v3.0.0, Copyright (c) 1998-2017 Zend Technologies

这样就在CentOS 7下通过yum安装成功PHP7.
最佳答案
评论( 相关
后面还有条评论,点击查看>>